import React from 'react';
import Header from '../../components/CommonComponent/HeaderComponent/HeaderComponent';
import LeftContainer from '../LeftContainer/LeftContainer';
import RightContainer from '../RightContainer/RightContainer';
import RecovertyFirstPage from '../../components/RecoveryComponent/RecoveryFirstPage/RecoveryFirstPage'

export default class RecoveryContainer extends React.Component{
    constructor(props){
        super(props);
        this.getFirstPage = this.getFirstPage.bind(this);
    }

    getFirstPage(){
        return (
            <RecovertyFirstPage />
        )
    }

    render(){
        let dom = this.getFirstPage();
        return(
            <div className={"recoveryContainer page"}>
                <Header />
                <LeftContainer />
                <RightContainer>
                    {
                        dom
                    }
                </RightContainer>
            </div>
        )
    }
}